# class LLVM::Module

- LLVM::Module
- Reference
- Object

##
Defined in:

##
Constructors

- .new(unwrap : LibLLVM::ModuleRef, context : Context)

  LLVM >= 3.9

##
Instance Method Summary

- #==(other : self)

  Returns `true` if this reference is the same as other.

- #add_named_metadata_operand(name : String, value : Value) : Nil
- #context : Context
- #data_layout=(data : TargetData)
- #dump
- #functions
- #globals
- #name : String
- #name=(name : String)
- #new_function_pass_manager
- #print_to_file(filename)
- #take_ownership(&)
- #target=(target)
- #to_s(io : IO) : Nil

  Appends a short String representation of this object which includes its class name and its object address.

- #to_unsafe : LibLLVM::ModuleRef
- #verify
- #write_bitcode_to_fd(fd : Int, should_close = false, buffered = false)
- #write_bitcode_to_file(filename : String)
- #write_bitcode_to_memory_buffer
- #write_bitcode_with_summary_to_file(filename : String)

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference)
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, __crystal_pseudo_! : Bool __crystal_pseudo_!, __crystal_pseudo_as(type : Class) __crystal_pseudo_as, __crystal_pseudo_as?(type : Class) __crystal_pseudo_as?, __crystal_pseudo_is_a?(type : Class) : Bool __crystal_pseudo_is_a?, __crystal_pseudo_nil? : Bool __crystal_pseudo_nil?, __crystal_pseudo_responds_to?(name : Symbol) : Bool __crystal_pseudo_responds_to?, class class, dup dup, hash(hasher)
hash hash, inspect : String
inspect(io : IO) : Nil inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

##
Constructor Detail

def self.new(unwrap : LibLLVM::ModuleRef, context : Context) #

LLVM >= 3.9

##
Instance Method Detail

def ==(other : self) #
Description copied from class Reference

Returns `true` if this reference is the same as other. Invokes `same?`.

def add_named_metadata_operand(name : String, value : Value) : Nil #
def context : Context #
def data_layout=(data : TargetData) #
def dump #
def functions #
def globals #
def name : String #
def name=(name : String) #
def new_function_pass_manager #
def print_to_file(filename) #
def take_ownership(&) #
def target=(target) #
def to_s(io : IO) : Nil #
Description copied from class Reference

Appends a short String representation of this object which includes its class name and its object address.

    class Person
      def initialize(@name : String, @age : Int32)
      end
    end

    Person.new("John", 32).to_s # => #<Person:0x10a199f20>

def to_unsafe : LibLLVM::ModuleRef #
def verify #
def write_bitcode_to_fd(fd : Int, should_close = false, buffered = false) #
def write_bitcode_to_file(filename : String) #
def write_bitcode_to_memory_buffer #
def write_bitcode_with_summary_to_file(filename : String) #